unit plcalc;

interface

{ ******************************************************************************
  *                                                                            *
  *      .                                 *
  *                                                                            *
  *   StarCalc         *
  *       .       *
  *    :                                                *
  *    ""  (  )            *
  *    ""  (  ).          *
  *                                                                            *
  *  1:                                                              *
  *         ""         *
  *         :                   *
  *                                                                            *
  *          -  1350 .  ..  3000 . ..         *
  *         -  3000 .  ..  3000 . ..         *
  *                          -  1350 .  ..  3000 . ..         *
  *                            -  3000 .  ..  3000 . ..         *
  *                                                                            *
  *  2:                                                              *
  *                 *
  *                       *
  *      .                                                 *
  *                                                                            *
  ****************************************************************************** }

{     "" . tm -   
     J2000, lam, bet  r -    
         .    - 
      .  }
procedure Moon_Lo(tm :Double; var lam, bet, r :Double); stdcall;

{      ( )  "" 
  .
  TP -   ,    J2000;
  ipla -   (=1, =8);
  X,Y,Z -    ()    ;
  VX,VY,VZ -    .
      -    . }
procedure Planet(TP :Double; ipla :Integer; var X,Y,Z, VX,VY,VZ :Double); stdcall;

{      "" .
  T -      J2000
  L,B,R -       }
procedure Moon_Hi(T :Double; var L,B,R :Double); stdcall;

{       "" .
  T -      J2000
  L,B,R -        }
procedure Sun404(T:Double; var L,B,R:Double); stdcall;
procedure Mer404(T:Double; var L,B,R:Double); stdcall;
procedure Ven404(T:Double; var L,B,R:Double); stdcall;
procedure Ear404(T:Double; var L,B,R:Double); stdcall;
procedure Mar404(T:Double; var L,B,R:Double); stdcall;
procedure Jup404(T:Double; var L,B,R:Double); stdcall;
procedure Sat404(T:Double; var L,B,R:Double); stdcall;
procedure Ura404(T:Double; var L,B,R:Double); stdcall;
procedure Nep404(T:Double; var L,B,R:Double); stdcall;
procedure Plu404(T:Double; var L,B,R:Double); stdcall;

implementation

const SCUtilDLL   = 'SCUTILS.DLL';
      RCPlCalcDLL = 'PLCALC.DLL';

procedure Moon_Lo(tm :Double; var lam, bet, r :Double); external SCUtilDLL name 'moon';
procedure Planet(TP :Double; ipla :Integer; var X,Y,Z, VX,VY,VZ :Double); external SCUtilDLL name 'Planet';

procedure Moon_Hi(T:Double;var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Moon';
procedure Sun404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Sun404';
procedure Mer404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Mer404';
procedure Ven404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Ven404';
procedure Ear404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Ear404';
procedure Mar404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Mar404';
procedure Jup404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Jup404';
procedure Sat404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Sat404';
procedure Ura404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Ura404';
procedure Nep404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Nep404';
procedure Plu404(T:Double; var L,B,R:Double); stdcall; external RCPlCalcDLL name 'Plu404';

end.